%define major		9
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d

Name:		libwacom
Summary:	A library to identify wacom tablets
Version:        2.10.0
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:            https://github.com/linuxwacom/libwacom

Source0:	https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files
%{_bindir}/libwacom-list-devices
%{_bindir}/libwacom-list-local-devices
%{_bindir}/libwacom-show-stylus
%{_bindir}/libwacom-update-db

%{_mandir}/man1/libwacom-list-devices.1*
%{_mandir}/man1/libwacom-list-local-devices.*
%{_datadir}/libwacom
/usr/lib/udev/rules.d/65-libwacom.rules
/usr/lib/udev//hwdb.d/65-libwacom.hwdb

#-----------------------------------------------------------

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: lib64wacom2

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files -n %{libname}
%{_libdir}/*.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#-----------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build

%install
%meson_install
install -d ${RPM_BUILD_ROOT}/usr/lib/udev/rules.d

%changelog
* Sun Feb 18 2024 tex - 2.10.0-1pclos2024
- new version

* Fri Sep 22 2023 tex - 2.8.0-1pclos2023
- new version

* Sun Feb 05 2023 tex - 2.6.0-1pclos2023
- new version

* Wed Jan 18 2023 tex - 2.5.0-1pclos2023
- new version

* Mon Sep 26 2022 tex - 2.4.0-1pclos2022
- new version

* Mon Jul 04 2022 tex- 2.3.0-1pclos2022
- new version
